import Axios from 'axios'

import {
  REQUEST_CONFIG,
  PerformanceData_Delete
} from "../../utils/RequestUrls";

var staticMethods = {
  // 性能数据按条件查询：总条数
  deletePerformanceDatas: function (selectList) {

    var ret = Axios.delete(PerformanceData_Delete,{
      data:selectList,
      REQUEST_CONFIG
    })
    return ret
  }
}

function PerformanceDataDeleteAPI (websocketService = null) {

  return Object.freeze(Object.assign(
    {
      // object methods comes here
    },
    staticMethods
  ))
}
// inject static methods
Object.assign(PerformanceDataDeleteAPI, staticMethods);
export default PerformanceDataDeleteAPI
